Bug 973961 - [abrt] gwibber-3.4.2-4.fc18: urllib2.py:527:http_error_default:HTTPError: HTTP Error 410: Gone
[abrt] gwibber-3.4.2-4.fc18: urllib2.py:527:http_error_default:HTTPError: HTT...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:952dcc02fd7a3f726407eb8a189...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 03:46 EDT by Rosen Nedyalkov
Modified: 2014-02-05 16:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:48:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.23 KB, text/plain)
2013-06-13 03:46 EDT, Rosen Nedyalkov
no flags Details
File: core_backtrace (685 bytes, text/plain)
2013-06-13 03:46 EDT, Rosen Nedyalkov
no flags Details
File: environ (1.50 KB, text/plain)
2013-06-13 03:46 EDT, Rosen Nedyalkov
no flags Details

  None (edit)
Description Rosen Nedyalkov 2013-06-13 03:46:44 EDT
Description of problem:
1. Add new twitter account
2. Authorize the application
3. On "Verifing" screen the error appears

Version-Release number of selected component:
gwibber-3.4.2-4.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/gwibber-accounts
dso_list:       python-libs-2.7.3-13.fc18.x86_64
executable:     /usr/bin/gwibber-accounts
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
urllib2.py:527:http_error_default:HTTPError: HTTP Error 410: Gone

Traceback (most recent call last):
  File "/usr/share/gwibber/plugins/twitter/gtk/twitter/__init__.py", line 148, in on_twitter_auth_title_change
    account_data = json.loads(urllib2.urlopen(apireq.to_url()).read())
  File "/usr/lib64/python2.7/urllib2.py", line 126, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib64/python2.7/urllib2.py", line 406, in open
    response = meth(req, response)
  File "/usr/lib64/python2.7/urllib2.py", line 519, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/lib64/python2.7/urllib2.py", line 444, in error
    return self._call_chain(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 378, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.7/urllib2.py", line 527, in http_error_default
    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
HTTPError: HTTP Error 410: Gone

Local variables in innermost frame:
fp: <addinfourl at 47954328 whose fp = <socket._fileobject object at 0x2afad50>>
code: 410
hdrs: <httplib.HTTPMessage instance at 0x2dbb950>
self: <urllib2.HTTPDefaultErrorHandler instance at 0x2dba1b8>
req: <urllib2.Request instance at 0x2dbb7e8>
msg: 'Gone'
Comment 1 Rosen Nedyalkov 2013-06-13 03:46:48 EDT
Created attachment 760509 [details]
File: backtrace
Comment 2 Rosen Nedyalkov 2013-06-13 03:46:51 EDT
Created attachment 760510 [details]
File: core_backtrace
Comment 3 Rosen Nedyalkov 2013-06-13 03:46:54 EDT
Created attachment 760511 [details]
File: environ
Comment 4 Paul Turvey 2013-06-13 20:24:28 EDT
Description of problem:
Newly installed after rebuild. Presume issue with twitter OAuth

Version-Release number of selected component:
gwibber-3.4.2-4.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/gwibber-accounts
dso_list:       python-libs-2.7.3-13.fc18.i686
executable:     /usr/bin/gwibber-accounts
kernel:         3.9.4-200.fc18.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
urllib2.py:527:http_error_default:HTTPError: HTTP Error 410: Gone

Traceback (most recent call last):
  File "/usr/share/gwibber/plugins/twitter/gtk/twitter/__init__.py", line 148, in on_twitter_auth_title_change
    account_data = json.loads(urllib2.urlopen(apireq.to_url()).read())
  File "/usr/lib/python2.7/urllib2.py", line 126, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib/python2.7/urllib2.py", line 406, in open
    response = meth(req, response)
  File "/usr/lib/python2.7/urllib2.py", line 519, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/lib/python2.7/urllib2.py", line 444, in error
    return self._call_chain(*args)
  File "/usr/lib/python2.7/urllib2.py", line 378, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/urllib2.py", line 527, in http_error_default
    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
HTTPError: HTTP Error 410: Gone

Local variables in innermost frame:
fp: <addinfourl at 153881708 whose fp = <socket._fileobject object at 0xb5f4eb6c>>
code: 410
hdrs: <httplib.HTTPMessage instance at 0x92c0cec>
self: <urllib2.HTTPDefaultErrorHandler instance at 0x92bc46c>
req: <urllib2.Request instance at 0x92c070c>
msg: 'Gone'
Comment 5 Fedora End Of Life 2013-12-21 08:59:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:48:26 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.